coef.corStruct {nlme} | R Documentation

## Coefficients of a corStruct Object

### Description

This method function extracts the coefficients associated with the correlation structure represented by `object`.

### Usage

    ## S3 method for class 'corStruct':
    coef(object, unconstrained, ...)
    ## S3 method for class 'corStruct':
    coef(object, ...) <- value

### Arguments

`object` | an object inheriting from class `corStruct`, representing a correlation structure.
`unconstrained` | a logical value. If `TRUE` the coefficients are returned in unconstrained form (the same used in the optimization algorithm). If `FALSE` the coefficients are returned in "natural", possibly constrained, form. Defaults to `TRUE`.
`value` | a vector with the replacement values for the coefficients associated with `object`. It must be a vector with the same length of `coef{object}` and must be given in unconstrained form.
`...` | some methods for this generic require additional arguments. None are used in this method.

### Value

a vector with the coefficients corresponding to `object`.

### SIDE EFFECTS

On the left side of an assignment, sets the values of the coefficients of `object` to `value`. `Object` must be initialized (using `Initialize`) before new values can be assigned to its coefficients.

### Author(s)

Jose Pinheiro and Douglas Bates

### See Also

`corAR1`, `corARMA`, `corCAR1`, `corCompSymm`, `corExp`, `corGaus`, `corLin`, `corRatio`, `corSpatial`, `corSpher`, `corSymm`,`Initialize`

### Examples

    cst1 <- corARMA(p = 1, q = 1)
    coef(cst1)

[Package nlme version 3.1-73 Index]